<div class="loan-request">
  <layout-page-header
    [title]="'LOAN_MANAGER.LOAN_REQUEST.TITLE' | translate"
    [description]="'LOAN_MANAGER.LOAN_REQUEST.DESCRIPTION' | translate"
    [total]="(loansRequest$ | async)?.count"
    [tooltipMessage]="'LOAN_MANAGER.LOAN_REQUEST.TOTAL_TOOLTIP' | translate"
  ></layout-page-header>

  <layout-card-container>
    <loan-request-filters></loan-request-filters>
    <div class="loan-request__table">
      <mo-table-with-controls
        [headers]="headers"
        [response]="(loansRequest$ | async)"
        [isLoading]="(isLoadingLoansRequest$ | async)"
        (changeTableFilters)="onChangeTableFilters($event)"
        (changeTableFilters)="onChangeTableFilters($event)"
        (download)="onDownload()"
      ></mo-table-with-controls>
    </div>
  </layout-card-container>
</div>

<ng-template #loanRequestStatusTemplate let-row="row" let-header="header">
  <ng-container *ngIf="row[header?.dataKey] as status">
    <layout-status [status]="status"></layout-status>
  </ng-container>
</ng-template>
